Description

The tool for creating and editing of a game logic as an OVQT plugin (World editor):
- Creation of primitives and editing of their properties in accordance with world_editor_classes.xml and as a part of these primitives
has a visual representation,it is possible to placement them on the landscape in a 2D mode.
- Generator primitives for flora.

Detailed Description
- The database of primitives: Is a structure that contains all the information about the tree of primitives and their properties, as well as
information for visual view. Respectively, elements of this structure must be visually displayed. Qt4 provides tools for viewing and
editing of these data structures using a model/view pattern.
- Primitive properties editor: Each primitive has a set of properties that can be specified in the file world_editor_classes.xml.
Respectively, a dialog that allows  edit these properties without a hardcode.
- 2D render: Some  primitives have a visual representation.Respectively will be used 2D render from Landscape editor plugin to add
displaying these primitives (Point, Path, Bitmap, Zone).
- Generator of primitives: Game elements such as flora have a large number of objects and it will be quite weary to place them on the
landscape manually. Therefore, the generator of the primitives, automatically place the primitives in a certain area by a certain
pattern.

History
#1 - 09/02/2011 12:29 am - dnk-88
- % Done changed from 0 to 60

#2 - 09/08/2011 10:31 am - dnk-88
- Status changed from New to Resolved
- % Done changed from 60 to 100

Applied in changeset commit:4c22589248ee.

#3 - 09/08/2011 10:31 am - dnk-88

Applied in changeset commit:a77503b68b0b.

#4 - 09/08/2011 10:31 am - dnk-88

Applied in changeset commit:e75bcbcdbfef.

#5 - 10/14/2011 07:58 pm - dnk-88
- % Done changed from 100 to 70
#6 - 11/08/2011 11:07 pm - dnk-88
- Status changed from Resolved to Assigned
